cURL
curl --request POST \ --url https://api.draftt.io/v1/component/search \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "filter": { "tags": [ { "key": "Environment", "value": "dev-us-east-1" } ], "technology": "k8s" }, "sort": { "createdAt": "asc" }, "nextToken": "eyJza2lwIjoxMH0", "pageSize": 10 } '
{ "items": [ { "id": 20, "integrationId": 6, "uniqueIdentifier": "arn:aws:rds:us-east-1:1234567:db:rds-dev-1", "region": "us-east-1", "technology": "rds", "type": "rds-postgres", "typeDisplayName": "Amazon RDS PostgreSQL", "version": "14.10", "tags": [ { "key": "Terraform", "value": "true" }, { "key": "Environment", "value": "dev-us-east-1" }, { "key": "Name", "value": "rds-dev-1" } ], "createdAt": "2024-05-06T11:25:50.750Z", "updatedAt": "2024-09-09T14:36:11.531Z" } ], "nextToken": "<string>", "totalCount": 12 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
{ "tags": [ { "key": "Environment", "value": "dev-us-east-1" } ], "technology": "k8s"}
{ "createdAt": "asc" }
"eyJza2lwIjoxMH0"
1 <= x <= 100
Success
12